Servers
Discover what an MCP server needs
Discover what an MCP server needs
curl --request POST \
--url https://api.atlan.com/mcp/v1/servers/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_url": "<string>",
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endpoint_url: '<string>', workspace_id: '<string>'})
};
fetch('https://api.atlan.com/mcp/v1/servers/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/mcp/v1/servers/discover"
payload = {
"endpoint_url": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"is_reachable": true,
"auth": "<string>",
"callback_url_template": "<string>",
"challenge": {
"scheme": "<string>",
"realm": "<string>"
},
"oauth": {
"authorization_url": "<string>",
"client_strategy": "<string>",
"issuer": "<string>",
"resource": "<string>",
"scopes_supported": [
"<string>"
],
"token_url": "<string>",
"existing_provider": {
"client_status": "<string>",
"is_enabled": true,
"key": "<string>"
},
"scope_hint": "<string>"
},
"problem": "<string>",
"server_title": "<string>",
"tool_count": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 ⌘I
Discover what an MCP server needs
curl --request POST \
--url https://api.atlan.com/mcp/v1/servers/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"endpoint_url": "<string>",
"workspace_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({endpoint_url: '<string>', workspace_id: '<string>'})
};
fetch('https://api.atlan.com/mcp/v1/servers/discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/mcp/v1/servers/discover"
payload = {
"endpoint_url": "<string>",
"workspace_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"is_reachable": true,
"auth": "<string>",
"callback_url_template": "<string>",
"challenge": {
"scheme": "<string>",
"realm": "<string>"
},
"oauth": {
"authorization_url": "<string>",
"client_strategy": "<string>",
"issuer": "<string>",
"resource": "<string>",
"scopes_supported": [
"<string>"
],
"token_url": "<string>",
"existing_provider": {
"client_status": "<string>",
"is_enabled": true,
"key": "<string>"
},
"scope_hint": "<string>"
},
"problem": "<string>",
"server_title": "<string>",
"tool_count": 1
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "rate_limited",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}